Package com.sun.jna.platform.win32

## Class DBT.DEV_BROADCAST_NET

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DBT.DEV_BROADCAST_NET

- Enclosing interface:
    DBT

      @FieldOrder({"dbcn_size","dbcn_devicetype","dbcn_reserved","dbcn_resource","dbcn_flags"})
      public static class DBT.DEV_BROADCAST_NET
      extends Structure

  The Class DEV_BROADCAST_NET.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `dbcn_devicetype` | The dbcn_devicetype.
    `int` | `dbcn_flags` | The dbcn_flags.
    `int` | `dbcn_reserved` | The dbcn_reserved.
    `int` | `dbcn_resource` | The dbcn_resource.
    `int` | `dbcn_size` | The dbcn_size.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DEV_BROADCAST_NET()` | Instantiates a new dev broadcast net.
    `DEV_BROADCAST_NET​(Pointer memory)` | Instantiates a new dev broadcast net.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dbcn_size

          public int dbcn_size

      The dbcn_size.

    - #### dbcn_devicetype

          public int dbcn_devicetype

      The dbcn_devicetype.

    - #### dbcn_reserved

          public int dbcn_reserved

      The dbcn_reserved.

    - #### dbcn_resource

          public int dbcn_resource

      The dbcn_resource.

    - #### dbcn_flags

          public int dbcn_flags

      The dbcn_flags.

  - ### Constructor Detail

    - #### DEV_BROADCAST_NET

          public DEV_BROADCAST_NET()

      Instantiates a new dev broadcast net.

    - #### DEV_BROADCAST_NET

          public DEV_BROADCAST_NET​(Pointer memory)

      Instantiates a new dev broadcast net.
      Parameters:
        `memory` - the memory